Get template library item
GET
/v1/templates/library/{libraryItemID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
libraryItemIDstringrequiredResponses
200OK
body_textstringrequiredbuttonsTemplateButtonInput[] | nullShow propertiesHide properties
Array of
TemplateButtonInputexamplestringflow_actionstringflow_idstringnavigate_screenstringotp_typestringpackage_namestringphone_numberstringsignature_hashstringtextstringrequiredtypestringrequiredurlstringcategorystringrequireddescriptionstringfooter_textstringheader_formatstringrequiredheader_textstringidstringrequiredindustrystringlanguagestringrequiredslugstringrequiredsort_orderinteger<int32>requiredtitlestringrequiredvariablesanyrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X GET "/v1/templates/library/string"const response = await fetch("/v1/templates/library/string", {
method: "GET"
});import requests
response = requests.get(
"/v1/templates/library/string",
)Response
{
"body_text": "string",
"buttons": [
{
"example": "string",
"flow_action": "string",
"flow_id": "string",
"navigate_screen": "string",
"otp_type": "string",
"package_name": "string",
"phone_number": "string",
"signature_hash": "string",
"text": "string",
"type": "string",
"url": "string"
}
],
"category": "string",
"description": "string",
"footer_text": "string",
"header_format": "string",
"header_text": "string",
"id": "string",
"industry": "string",
"language": "string",
"slug": "string",
"sort_order": 0,
"title": "string",
"variables": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}